Security Enhanced Linux Reference Policy

# Layer: services

## Module: rauc

Interfaces

### Description:

Policy for the RAUC embedded update framework.

### Interfaces:

rauc_admin( domain , role )

##### Summary

All of the rules required to administer the rauc environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

rauc_bundle_source( source_type )

##### Summary

Allow rauc to read bundles from a domain's own labeled storage (e.g. a data partition or download directory).

##### Parameters

Parameter: | Description:
--- | ---
source_type | Type of the storage containing bundles.

rauc_dbus_chat( domain )

##### Summary

Send and receive D-Bus messages from/to rauc over the system bus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to chat.

rauc_domtrans( domain )

##### Summary

Execute rauc in the rauc_t domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rauc_getattr_bundle_files( domain )

##### Summary

Get the attributes of rauc bundle files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rauc_read_bundle( domain )

##### Summary

Read rauc bundle files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rauc_read_config( domain )

##### Summary

Read rauc configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return